Summary:	OpenCascade based MESH framework
Name:		smesh
Version:	6.5.3.1
Release:	1
License:	LGPLv2
Group:		Libraries
URL:		https://github.com/tpaviot/smesh
Source0:	https://github.com/tpaviot/smesh/archive/%{version}.tar.gz
# Source0-md5:	4555a5783769a23b820ba8fec96e3a17
BuildRequires:	FreeImage-devel
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	OCE-devel
BuildRequires:	OCE-draw
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	f2c
BuildRequires:	freetype-devel
BuildRequires:	gcc-fortran
BuildRequires:	tbb-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel


# Dependencies for optional NETGETPlugin library.
#BuildRequires:  netgen-mesh-devel
#BuildRequires:  netgen-mesh-devel-private


%description
A complete OpenCascade based MESH framework.

%package doc
Summary:	Development documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Development documentation for %{name}.


%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.


%prep
%setup -q

dos2unix -k LICENCE.lgpl.txt

%build
install -d build
cd  build
%cmake \
	   -DMONOLITHIC_BUILD=OFF \
	   ../

%{__make} all doc

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %exclude %{_libdir}/libSMESH.so
%attr(755,root,root) %{_libdir}/*.so*

%files devel
%defattr(644,root,root,755)
%doc build/doc/html/*
%{_includedir}/smesh
%attr(755,root,root) %{_libdir}/libSMESH.so
%changelog
* Sun Jun 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smesh.git;a=log;h=auto/th/smesh-6.5.3.1-1

* Thu Jun 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> be007b9
- initial; from fc

